export declare const basemain: {
    addresses: {
        CreateCall: string;
        ProxyAdmin: string;
        Multicall2: string;
        Sumer: string;
        CompoundLens: string;
        FeedPriceOracle: string;
        CompLogic: string;
        RedemptionManager: string;
        Timelock: string;
        Comptroller: string;
        sdrETH: string;
        ETH: string;
        CErc20: string;
        suErc20: string;
        stUSDAdapter: string;
        stEURAdapter: string;
        "JumpRate#StableBC": string;
        "JumpRate#Others": string;
        "JumpRate#wstETH": string;
        "JumpRate#BTCBC_AltStables": string;
        ZeroRate: string;
        "JumpRate#ETH": string;
        sdrUSDC: string;
        USDC: string;
        sdrUSDbc: string;
        USDbc: string;
        sdrDAI: string;
        DAI: string;
        sdrstUSD: string;
        stUSD: string;
        sdrwstETH: string;
        wstETH: string;
        sdrcbETH: string;
        cbETH: string;
        sdrweETH: string;
        weETH: string;
        sdrcbBTC: string;
        cbBTC: string;
        sdrEURC: string;
        EURC: string;
        sdrstEUR: string;
        stEUR: string;
        sdrsuUSD: string;
        suUSD: string;
        sdrsuETH: string;
        suETH: string;
    };
    tokenPairs: ({
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId?: undefined;
    })[];
    rateModels: ({
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        baseRatePerYear: string;
        multiplierPerYear: string;
        jumpMultiplierPerYear: string;
        kink: string;
        initBorrowRate?: undefined;
        initSupplyRate?: undefined;
    } | {
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        initBorrowRate: string;
        initSupplyRate: string;
        baseRatePerYear?: undefined;
        multiplierPerYear?: undefined;
        jumpMultiplierPerYear?: undefined;
        kink?: undefined;
    })[];
    blocksPerYear: number;
};
