export declare const beramain: {
    addresses: {
        ProxyAdmin: string;
        Multicall2: string;
        Sumer: string;
        CompoundLens: string;
        FeedPriceOracle: string;
        CompLogic: string;
        RedemptionManager: string;
        Timelock: string;
        Comptroller: string;
        sdrBERA: string;
        BERA: string;
        CErc20: string;
        suErc20: string;
        CInfraredVault: string;
        "JumpRate#StableBC": string;
        "JumpRate#Others": string;
        "JumpRate#BTCBC_AltStables": string;
        "JumpRate#ETH": string;
        "JumpRate#BERA": string;
        ZeroRate: string;
        "sdrUSDC.e": string;
        "USDC.e": string;
        sdrHONEY: string;
        HONEY: string;
        sdrNECT: string;
        NECT: string;
        sdrWETH: string;
        WETH: string;
        sdrSTONE: string;
        STONE: string;
        sdrWBTC: string;
        WBTC: string;
        sdrsuUSD: string;
        suUSD: string;
        sdrsuBTC: string;
        suBTC: string;
        sdrUSDC_HONEY_BEX: string;
        USDC_HONEY_BEX: string;
        sdrBYUSD_HONEY_BEX: string;
        BYUSD_HONEY_BEX: string;
        sdriBera_wBERA_BEX: string;
        iBera_wBERA_BEX: string;
    };
    tokenPairs: ({
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
        infraredVaultAddr?: undefined;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
        infraredVaultAddr: string;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId?: undefined;
        infraredVaultAddr?: undefined;
    })[];
    rateModels: ({
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        baseRatePerYear: string;
        multiplierPerYear: string;
        jumpMultiplierPerYear: string;
        kink: string;
        initBorrowRate?: undefined;
        initSupplyRate?: undefined;
    } | {
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        initBorrowRate: string;
        initSupplyRate: string;
        baseRatePerYear?: undefined;
        multiplierPerYear?: undefined;
        jumpMultiplierPerYear?: undefined;
        kink?: undefined;
    })[];
    blocksPerYear: number;
};
