export declare const hardhat: {
    addresses: {
        CreateCall: string;
        ProxyAdmin: string;
        SumerTimelockController: string;
        Multicall2: string;
        Sumer: string;
        SUMER: string;
        CompoundLens: string;
        FeedPriceOracle: string;
        AccountLiquidity: string;
        CompLogic: string;
        Comptroller: string;
        sdrETH: string;
        ETH: string;
        sdrUSDC: string;
        USDC: string;
        sdrDAI: string;
        DAI: string;
        sdrsuUSD: string;
        suUSD: string;
        sdrsuETH: string;
        suETH: string;
        Timelock: string;
    };
    tokenPairs: ({
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId?: undefined;
    })[];
    rateModels: {
        name: string;
        address: string;
        tokens: string[];
        baseRatePerYear: number;
        multiplierPerYear: number;
        jumpMultiplierPerYear: number;
        kink: number;
    }[];
};
