"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hardhat = void 0;
exports.hardhat = {
    "addresses": {
        "CreateCall": "",
        "ProxyAdmin": "",
        "SumerTimelockController": "",
        "Multicall2": "",
        "Sumer": "",
        "SUMER": "",
        "CompoundLens": "",
        "FeedPriceOracle": "",
        "AccountLiquidity": "",
        "CompLogic": "",
        "Comptroller": "",
        "sdrETH": "",
        "ETH": "0x0000000000000000000000000000000000000000",
        "sdrUSDC": "",
        "USDC": "0x94a9D9AC8a22534E3FaCa9F4e7F2E2cf85d5E4C8",
        "sdrDAI": "",
        "DAI": "0xFF34B3d4Aee8ddCd6F9AFFFB6Fe49bD371b8a357",
        "sdrsuUSD": "",
        "suUSD": "0x8BF591Eae535f93a242D5A954d3Cde648b48A5A8",
        "sdrsuETH": "",
        "suETH": "0x1c22531AA9747d76fFF8F0A43b37954ca67d28e0",
        "Timelock": ""
    },
    "tokenPairs": [
        {
            "ctokenSym": "sdrUSDC",
            "ctokenAddr": "",
            "underlySym": "USDC",
            "ctokenDecimal": 6,
            "underlyDecimal": 6,
            "ctokenIsEther": false,
            "permitEnabled": false,
            "underlyAddr": "0x94a9D9AC8a22534E3FaCa9F4e7F2E2cf85d5E4C8",
            "assetGroupId": 1
        },
        {
            "ctokenSym": "sdrDAI",
            "ctokenAddr": "",
            "underlySym": "DAI",
            "ctokenDecimal": 18,
            "underlyDecimal": 18,
            "ctokenIsEther": false,
            "permitEnabled": false,
            "underlyAddr": "0xFF34B3d4Aee8ddCd6F9AFFFB6Fe49bD371b8a357",
            "assetGroupId": 1
        },
        {
            "ctokenSym": "sdrsuUSD",
            "ctokenAddr": "",
            "underlySym": "suUSD",
            "ctokenDecimal": 18,
            "underlyDecimal": 18,
            "ctokenIsEther": false,
            "permitEnabled": false,
            "underlyAddr": "0x8BF591Eae535f93a242D5A954d3Cde648b48A5A8",
            "assetGroupId": 1
        },
        {
            "ctokenSym": "sdrsuETH",
            "ctokenAddr": "",
            "underlySym": "suETH",
            "ctokenDecimal": 18,
            "underlyDecimal": 18,
            "ctokenIsEther": false,
            "permitEnabled": false,
            "underlyAddr": "0x1c22531AA9747d76fFF8F0A43b37954ca67d28e0",
            "assetGroupId": 2
        },
        {
            "ctokenSym": "sdrETH",
            "ctokenAddr": "",
            "underlySym": "ETH",
            "ctokenDecimal": 18,
            "underlyDecimal": 18,
            "ctokenIsEther": true,
            "permitEnabled": false,
            "underlyAddr": "0x0000000000000000000000000000000000000000"
        }
    ],
    "rateModels": [
        {
            "name": "JumpRateModelV2",
            "address": "",
            "tokens": [
                "USDC",
                "DAI",
                "suUSD",
                "suETH",
                "ETH"
            ],
            "baseRatePerYear": 0.02,
            "multiplierPerYear": 0.12,
            "jumpMultiplierPerYear": 1,
            "kink": 0.75
        }
    ]
};
//# sourceMappingURL=hardhat.js.map