type TokenPair = {
    ctokenSym: string;
    ctokenAddr: string;
    ctokenDecimal: number;
    underlySym: string;
    underlyAddr: string;
    underlyDecimal: number;
    ctokenIsEther: boolean;
    permitEnabled: boolean;
    assetGroupId: number;
};
export declare const constants: {
    CompoundLens: string;
    GovernorBravo: string;
    Comptroller: string;
    PriceOracle: string;
    WhitepaperInterestRate: string;
};
export declare const getNetworkConfig: (networkName: string) => any;
export declare const getTokenPairs: (networkName: string) => TokenPair[];
export declare const getNetworkBlocksPerYear: (networkName: string) => any;
export declare const getTokenPairsByGroupId: (networkName: string, assetGroupId: number) => TokenPair[];
export declare const getRateModals: (networkName: string) => any;
export declare const getAddress: (networkName: string, tokenSym: string) => any;
export declare const getName: (networkName: string, tokenAddress: string) => any;
export declare const getTokenPairByAddress: (networkName: string, tokenAddress: string) => TokenPair;
export declare const getTokenPairBySymbol: (networkName: string, symbol: string) => TokenPair;
export declare const isCTokenAllowed: (networkName: string, cToken: string) => boolean;
export declare const isUnderlyAllowed: (networkName: string, underlyName: string) => boolean;
export declare const getDecimals: (networkName: string, tokenSym: string) => number;
export declare const getDecimalsOfUnderly: (networkName: string, tokenSym: string) => number;
export declare const isEther: (networkName: string, ctokenSym: string) => boolean;
export {};
