export declare const metermain: {
    addresses: {
        CreateCall: string;
        ProxyAdmin: string;
        Multicall2: string;
        Sumer: string;
        CompoundLens: string;
        FeedPriceOracle: string;
        WstMTRGOracle: string;
        CompLogic: string;
        RedemptionManager: string;
        Timelock: string;
        Comptroller: string;
        CErc20: string;
        suErc20: string;
        "JumpRate#1": string;
        "JumpRate#2": string;
        "JumpRate#3": string;
        ZeroRate: string;
        "sdrUSDC.eth": string;
        "USDC.eth": string;
        "sdrUSDT.eth": string;
        "USDT.eth": string;
        sdrMTRG: string;
        MTRG: string;
        sdrwstMTRG: string;
        wstMTRG: string;
        sdrETH: string;
        ETH: string;
        sdrsuUSD: string;
        suUSD: string;
        sdrsuETH: string;
        suETH: string;
    };
    tokenPairs: {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
    }[];
    rateModels: ({
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        baseRatePerYear: string;
        multiplierPerYear: string;
        jumpMultiplierPerYear: string;
        kink: string;
        initBorrowRate?: undefined;
        initSupplyRate?: undefined;
    } | {
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        initBorrowRate: string;
        initSupplyRate: string;
        baseRatePerYear?: undefined;
        multiplierPerYear?: undefined;
        jumpMultiplierPerYear?: undefined;
        kink?: undefined;
    })[];
    blocksPerYear: number;
};
