export declare const monadtest: {
    addresses: {
        ProxyAdmin: string;
        Multicall2: string;
        Sumer: string;
        CompoundLens: string;
        FeedPriceOracle: string;
        CompLogic: string;
        RedemptionManager: string;
        Timelock: string;
        Comptroller: string;
        sdrMON: string;
        MON: string;
        CErc20: string;
        suErc20: string;
        "JumpRate#1": string;
        ZeroRate: string;
        sdrUSDC: string;
        USDC: string;
        sdrUSDT: string;
        USDT: string;
        sdrWBTC: string;
        WBTC: string;
        sdrFiaBTC: string;
        FiaBTC: string;
        sdrWETH: string;
        WETH: string;
        sdrsuUSD: string;
        suUSD: string;
        sdrsuETH: string;
        suETH: string;
        sdrsuBTC: string;
        suBTC: string;
        sdraprMON: string;
        aprMON: string;
        aprMONAdapter: string;
        sdrsMON: string;
        sMON: string;
        sdrgMON: string;
        gMON: string;
        sdrshMON: string;
        shMON: string;
    };
    tokenPairs: ({
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId?: undefined;
    })[];
    rateModels: ({
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        baseRatePerYear: string;
        multiplierPerYear: string;
        jumpMultiplierPerYear: string;
        kink: string;
        initBorrowRate?: undefined;
        initSupplyRate?: undefined;
    } | {
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        initBorrowRate: string;
        initSupplyRate: string;
        baseRatePerYear?: undefined;
        multiplierPerYear?: undefined;
        jumpMultiplierPerYear?: undefined;
        kink?: undefined;
    })[];
    blocksPerYear: number;
};
