import { type ContractRunner } from "ethers";
import type { ITemporarilyPausable, ITemporarilyPausableInterface } from "../../../../../../@balancer-labs/v2-interfaces/contracts/solidity-utils/helpers/ITemporarilyPausable";
export declare class ITemporarilyPausable__factory {
    static readonly abi: readonly [{
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "bool";
            readonly name: "paused";
            readonly type: "bool";
        }];
        readonly name: "PausedStateChanged";
        readonly type: "event";
    }, {
        readonly inputs: readonly [];
        readonly name: "getPausedState";
        readonly outputs: readonly [{
            readonly internalType: "bool";
            readonly name: "paused";
            readonly type: "bool";
        }, {
            readonly internalType: "uint256";
            readonly name: "pauseWindowEndTime";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "bufferPeriodEndTime";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): ITemporarilyPausableInterface;
    static connect(address: string, runner?: ContractRunner | null): ITemporarilyPausable;
}
