import { type ContractRunner } from "ethers";
import type { IAuthorizer, IAuthorizerInterface } from "../../../../../@balancer-labs/v2-interfaces/contracts/vault/IAuthorizer";
export declare class IAuthorizer__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "bytes32";
            readonly name: "actionId";
            readonly type: "bytes32";
        }, {
            readonly internalType: "address";
            readonly name: "account";
            readonly type: "address";
        }, {
            readonly internalType: "address";
            readonly name: "where";
            readonly type: "address";
        }];
        readonly name: "canPerform";
        readonly outputs: readonly [{
            readonly internalType: "bool";
            readonly name: "";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IAuthorizerInterface;
    static connect(address: string, runner?: ContractRunner | null): IAuthorizer;
}
