import { type ContractRunner } from "ethers";
import type { IFlashLoanRecipient, IFlashLoanRecipientInterface } from "../../../../../@balancer-labs/v2-interfaces/contracts/vault/IFlashLoanRecipient";
export declare class IFlashLoanRecipient__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "contract IERC20[]";
            readonly name: "tokens";
            readonly type: "address[]";
        }, {
            readonly internalType: "uint256[]";
            readonly name: "amounts";
            readonly type: "uint256[]";
        }, {
            readonly internalType: "uint256[]";
            readonly name: "feeAmounts";
            readonly type: "uint256[]";
        }, {
            readonly internalType: "bytes";
            readonly name: "userData";
            readonly type: "bytes";
        }];
        readonly name: "receiveFlashLoan";
        readonly outputs: readonly [];
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }];
    static createInterface(): IFlashLoanRecipientInterface;
    static connect(address: string, runner?: ContractRunner | null): IFlashLoanRecipient;
}
