import { type ContractRunner } from "ethers";
import type { IPythEvents, IPythEventsInterface } from "../../../@pythnetwork/pyth-sdk-solidity/IPythEvents";
export declare class IPythEvents__factory {
    static readonly abi: readonly [{
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: false;
            readonly internalType: "uint16";
            readonly name: "chainId";
            readonly type: "uint16";
        }, {
            readonly indexed: false;
            readonly internalType: "uint64";
            readonly name: "sequenceNumber";
            readonly type: "uint64";
        }];
        readonly name: "BatchPriceFeedUpdate";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "bytes32";
            readonly name: "id";
            readonly type: "bytes32";
        }, {
            readonly indexed: false;
            readonly internalType: "uint64";
            readonly name: "publishTime";
            readonly type: "uint64";
        }, {
            readonly indexed: false;
            readonly internalType: "int64";
            readonly name: "price";
            readonly type: "int64";
        }, {
            readonly indexed: false;
            readonly internalType: "uint64";
            readonly name: "conf";
            readonly type: "uint64";
        }];
        readonly name: "PriceFeedUpdate";
        readonly type: "event";
    }];
    static createInterface(): IPythEventsInterface;
    static connect(address: string, runner?: ContractRunner | null): IPythEvents;
}
