import { type ContractRunner } from "ethers";
import type { IStakingRewardsErrors, IStakingRewardsErrorsInterface } from "../../../../contracts/Bera/base/IStakingRewardsErrors";
export declare class IStakingRewardsErrors__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "InsolventReward";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InsufficientStake";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "RewardCycleNotEnded";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "RewardsDurationIsZero";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "StakeAmountIsZero";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TotalSupplyOverflow";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "WithdrawAmountIsZero";
        readonly type: "error";
    }];
    static createInterface(): IStakingRewardsErrorsInterface;
    static connect(address: string, runner?: ContractRunner | null): IStakingRewardsErrors;
}
