import { type ContractRunner } from "ethers";
import type { IBalancerVault, IBalancerVaultInterface } from "../../../../contracts/Interfaces/Balancer.sol/IBalancerVault";
export declare class IBalancerVault__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "bytes32";
            readonly name: "poolId";
            readonly type: "bytes32";
        }];
        readonly name: "getPoolTokens";
        readonly outputs: readonly [{
            readonly internalType: "address[]";
            readonly name: "tokens";
            readonly type: "address[]";
        }, {
            readonly internalType: "uint256[]";
            readonly name: "balances";
            readonly type: "uint256[]";
        }, {
            readonly internalType: "uint256";
            readonly name: "lastChangeBlock";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IBalancerVaultInterface;
    static connect(address: string, runner?: ContractRunner | null): IBalancerVault;
}
