import { type ContractRunner } from "ethers";
import type { IVoltPair, IVoltPairInterface } from "../../../contracts/Interfaces/IVoltPair";
export declare class IVoltPair__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "metadata";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "dec0";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "dec1";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "r0";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "r1";
            readonly type: "uint256";
        }, {
            readonly internalType: "bool";
            readonly name: "st";
            readonly type: "bool";
        }, {
            readonly internalType: "address";
            readonly name: "t0";
            readonly type: "address";
        }, {
            readonly internalType: "address";
            readonly name: "t1";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "token0";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "token1";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IVoltPairInterface;
    static connect(address: string, runner?: ContractRunner | null): IVoltPair;
}
