import { type ContractRunner } from "ethers";
import type { IAPI3Proxy, IAPI3ProxyInterface } from "../../../../contracts/Oracle/API3Adapter.sol/IAPI3Proxy";
export declare class IAPI3Proxy__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "api3ServerV1";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "read";
        readonly outputs: readonly [{
            readonly internalType: "int224";
            readonly name: "value";
            readonly type: "int224";
        }, {
            readonly internalType: "uint32";
            readonly name: "timestamp";
            readonly type: "uint32";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IAPI3ProxyInterface;
    static connect(address: string, runner?: ContractRunner | null): IAPI3Proxy;
}
