import { type ContractRunner } from "ethers";
import type { PriceAdapter, PriceAdapterInterface } from "../../../../contracts/Oracle/PriceOracle.sol/PriceAdapter";
export declare class PriceAdapter__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "exchangeRate";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): PriceAdapterInterface;
    static connect(address: string, runner?: ContractRunner | null): PriceAdapter;
}
