import { type ContractRunner } from "ethers";
import type { IStToken, IStTokenInterface } from "../../../../contracts/Oracle/StakedAngleAdapter.sol/IStToken";
export declare class IStToken__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "shares";
            readonly type: "uint256";
        }];
        readonly name: "previewRedeem";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IStTokenInterface;
    static connect(address: string, runner?: ContractRunner | null): IStToken;
}
