import { type ContractRunner } from "ethers";
import type { IDualCore, IDualCoreInterface } from "../../../../contracts/Oracle/dualCoreAdapter.sol/IDualCore";
export declare class IDualCore__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly name: "exchangeCore";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IDualCoreInterface;
    static connect(address: string, runner?: ContractRunner | null): IDualCore;
}
