import { type ContractRunner } from "ethers";
import type { IStCore, IStCoreInterface } from "../../../../contracts/Oracle/stCoreAdapter.sol/IStCore";
export declare class IStCore__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "earn";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IStCoreInterface;
    static connect(address: string, runner?: ContractRunner | null): IStCore;
}
