import { type ContractRunner } from "ethers";
import type { IStEUR, IStEURInterface } from "../../../../contracts/Oracle/stEURAdapter.sol/IStEUR";
export declare class IStEUR__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "shares";
            readonly type: "uint256";
        }];
        readonly name: "previewRedeem";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IStEURInterface;
    static connect(address: string, runner?: ContractRunner | null): IStEUR;
}
