import { type ContractRunner } from "ethers";
import type { VotingEscrow, VotingEscrowInterface } from "../../../../contracts/stake/FraxGaugeController.sol/VotingEscrow";
export declare class VotingEscrow__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "addr";
            readonly type: "address";
        }];
        readonly name: "balanceOf";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "addr";
            readonly type: "address";
        }];
        readonly name: "locked";
        readonly outputs: readonly [{
            readonly components: readonly [{
                readonly internalType: "int128";
                readonly name: "amount";
                readonly type: "int128";
            }, {
                readonly internalType: "uint256";
                readonly name: "end";
                readonly type: "uint256";
            }];
            readonly internalType: "struct LockedBalance";
            readonly name: "";
            readonly type: "tuple";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "addr";
            readonly type: "address";
        }];
        readonly name: "locked__end";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): VotingEscrowInterface;
    static connect(address: string, runner?: ContractRunner | null): VotingEscrow;
}
