import { type ContractRunner } from "ethers";
import type { SmartWalletChecker, SmartWalletCheckerInterface } from "../../../../contracts/stake/VeSumer.sol/SmartWalletChecker";
export declare class SmartWalletChecker__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "addr";
            readonly type: "address";
        }];
        readonly name: "check";
        readonly outputs: readonly [{
            readonly internalType: "bool";
            readonly name: "";
            readonly type: "bool";
        }];
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }];
    static createInterface(): SmartWalletCheckerInterface;
    static connect(address: string, runner?: ContractRunner | null): SmartWalletChecker;
}
