export declare const arbitrum: {
    addresses: {
        ProxyAdmin: string;
        Multicall2: string;
        Sumer: string;
        CompoundLens: string;
        FeedPriceOracle: string;
        CompLogic: string;
        RedemptionManager: string;
        Timelock: string;
        Comptroller: string;
        sdrETH: string;
        ETH: string;
        CErc20: string;
        suErc20: string;
        "JumpRate#StableBC": string;
        "JumpRate#BTCBC_AltStables": string;
        "JumpRate#wstETH": string;
        "JumpRate#ETH": string;
        ZeroRate: string;
        "JumpRate#Others": string;
        sdrUSDC: string;
        USDC: string;
        sdrUSDT: string;
        USDT: string;
        sdrDAI: string;
        DAI: string;
        sdrwstETH: string;
        wstETH: string;
        sdrRETH: string;
        RETH: string;
        sdrWBTC: string;
        WBTC: string;
        sdrARB: string;
        ARB: string;
        sdrweETH: string;
        weETH: string;
        sdrrsETH: string;
        rsETH: string;
        sdrsolvBTC: string;
        solvBTC: string;
        "sdrPT-weETH-26SEP2024": string;
        "PT-weETH-26SEP2024": string;
        "sdrPT-rsETH-26SEP2024": string;
        "PT-rsETH-26SEP2024": string;
        "sdrPT-weETH-26DEC2024": string;
        "PT-weETH-26DEC2024": string;
        "sdrPT-rsETH-26DEC2024": string;
        "PT-rsETH-26DEC2024": string;
        sdrsuUSD: string;
        suUSD: string;
        sdrsuETH: string;
        suETH: string;
        sdrsuBTC: string;
        suBTC: string;
    };
    tokenPairs: ({
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId?: undefined;
    })[];
    rateModels: ({
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        baseRatePerYear: string;
        multiplierPerYear: string;
        jumpMultiplierPerYear: string;
        kink: string;
        initBorrowRate?: undefined;
        initSupplyRate?: undefined;
    } | {
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        initBorrowRate: string;
        initSupplyRate: string;
        baseRatePerYear?: undefined;
        multiplierPerYear?: undefined;
        jumpMultiplierPerYear?: undefined;
        kink?: undefined;
    })[];
    blocksPerYear: number;
};
