export declare const basesepolia: {
    addresses: {
        ProxyAdmin: string;
        Sumer: string;
        CompoundLens: string;
        FeedPriceOracle: string;
        "JumpRate#StableBC": string;
        CompLogic: string;
        RedemptionManager: string;
        Timelock: string;
        Comptroller: string;
        sdrUSDC: string;
        USDC: string;
    };
    tokenPairs: {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
    }[];
    rateModels: {
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        baseRatePerYear: string;
        multiplierPerYear: string;
        jumpMultiplierPerYear: string;
        kink: string;
    }[];
    blocksPerYear: number;
};
