export declare const bsc: {
    addresses: {
        ProxyAdmin: string;
        Multicall2: string;
        Sumer: string;
        CompoundLens: string;
        FeedPriceOracle: string;
        CompLogic: string;
        RedemptionManager: string;
        Timelock: string;
        Comptroller: string;
        sdrBNB: string;
        BNB: string;
        CErc20: string;
        suErc20: string;
        "JumpRate#StableBC": string;
        "JumpRate#BTCBC_AltStables": string;
        "JumpRate#Others": string;
        "JumpRate#ETH": string;
        ZeroRate: string;
        sdrUSDC: string;
        USDC: string;
        sdrUSDT: string;
        USDT: string;
        sdrBTCB: string;
        BTCB: string;
        sdrSolvBTC: string;
        SolvBTC: string;
        sdrxSolvBTC: string;
        xSolvBTC: string;
        "sdrSolvBTC.ENA": string;
        "SolvBTC.ENA": string;
        sdrPumpBTC: string;
        PumpBTC: string;
        sdrETH: string;
        ETH: string;
    };
    tokenPairs: ({
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId?: undefined;
    })[];
    rateModels: {
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        baseRatePerYear: string;
        multiplierPerYear: string;
        jumpMultiplierPerYear: string;
        kink: string;
    }[];
    blocksPerYear: number;
};
