export declare const core: {
    addresses: {
        ProxyAdmin: string;
        Multicall2: string;
        Sumer: string;
        CompoundLens: string;
        FeedPriceOracle: string;
        CompLogic: string;
        RedemptionManager: string;
        Timelock: string;
        Comptroller: string;
        sdrCORE: string;
        CORE: string;
        CErc20: string;
        suErc20: string;
        stCoreAdapter: string;
        dualCoreAdapter: string;
        "JumpRate#StableBC": string;
        "JumpRate#Others": string;
        "JumpRate#CORE": string;
        ZeroRate: string;
        sdrUSDC: string;
        USDC: string;
        sdrUSDT: string;
        USDT: string;
        "sdrSolvBTC.b": string;
        "SolvBTC.b": string;
        "sdrSolvBTC.m": string;
        "SolvBTC.m": string;
        "sdrSolvBTC.core": string;
        "SolvBTC.core": string;
        sdrBTCB: string;
        BTCB: string;
        sdrWBTC: string;
        WBTC: string;
        sdrstCORE: string;
        stCORE: string;
        sdrdualCORE: string;
        dualCORE: string;
        sdrsuUSD: string;
        suUSD: string;
        sdrsuBTC: string;
        suBTC: string;
    };
    tokenPairs: ({
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId?: undefined;
    })[];
    rateModels: ({
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        baseRatePerYear: string;
        multiplierPerYear: string;
        jumpMultiplierPerYear: string;
        kink: string;
        initBorrowRate?: undefined;
        initSupplyRate?: undefined;
    } | {
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        initBorrowRate: string;
        initSupplyRate: string;
        baseRatePerYear?: undefined;
        multiplierPerYear?: undefined;
        jumpMultiplierPerYear?: undefined;
        kink?: undefined;
    })[];
    blocksPerYear: number;
};
