export declare const goerli: {
    addresses: {
        ProxyAdmin: string;
        Multicall2: string;
        Sumer: string;
        SUMER: string;
        CompoundLens: string;
        FeedPriceOracle: string;
        AccountLiquidity: string;
        CompLogic: string;
        Comptroller: string;
        sdrMTR: string;
        MTR: string;
        sdrUSDC: string;
        USDC: string;
        sdrUSDT: string;
        USDT: string;
        sdrMTRG: string;
        MTRG: string;
        sdrwstMTRG: string;
        wstMTRG: string;
        sdrETH: string;
        ETH: string;
        sdrBTC: string;
        BTC: string;
        sdrsuUSD: string;
        suUSD: string;
        sdrsuETH: string;
        suETH: string;
        sdrsuBTC: string;
        suBTC: string;
        Timelock: string;
    };
    tokenPairs: ({
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId?: undefined;
    })[];
    rateModels: any[];
    blocksPerYear: number;
};
