export declare const sepolia: {
    addresses: {
        ProxyAdmin: string;
        Sumer: string;
        CompoundLens: string;
        CompLogic: string;
        RedemptionManager: string;
        Timelock: string;
        Comptroller: string;
        sdrETH: string;
        ETH: string;
        CErc20: string;
        suErc20: string;
        CAavePool: string;
        CAToken: string;
        "JumpRate#1": string;
        ZeroRate: string;
        sdrUSDC: string;
        USDC: string;
        sdrUSDT: string;
        USDT: string;
        sdrsuUSD: string;
        suUSD: string;
        sdrUSDC_Aave: string;
        USDC_Aave: string;
        FeedPriceOracle: string;
        sdraUSDC: string;
        aUSDC: string;
    };
    tokenPairs: ({
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
        aaveV3PoolAddr?: undefined;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId: number;
        aaveV3PoolAddr: string;
    } | {
        ctokenSym: string;
        ctokenAddr: string;
        underlySym: string;
        ctokenDecimal: number;
        underlyDecimal: number;
        ctokenIsEther: boolean;
        permitEnabled: boolean;
        underlyAddr: string;
        assetGroupId?: undefined;
        aaveV3PoolAddr?: undefined;
    })[];
    rateModels: ({
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        baseRatePerYear: string;
        multiplierPerYear: string;
        jumpMultiplierPerYear: string;
        kink: string;
        initBorrowRate?: undefined;
        initSupplyRate?: undefined;
    } | {
        name: string;
        contract: string;
        address: string;
        tokens: string[];
        initBorrowRate: string;
        initSupplyRate: string;
        baseRatePerYear?: undefined;
        multiplierPerYear?: undefined;
        jumpMultiplierPerYear?: undefined;
        kink?: undefined;
    })[];
    blocksPerYear: number;
};
