import { type ContractRunner } from "ethers";
import type { IAuthentication, IAuthenticationInterface } from "../../../../../../@balancer-labs/v2-interfaces/contracts/solidity-utils/helpers/IAuthentication";
export declare class IAuthentication__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "bytes4";
            readonly name: "selector";
            readonly type: "bytes4";
        }];
        readonly name: "getActionId";
        readonly outputs: readonly [{
            readonly internalType: "bytes32";
            readonly name: "";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IAuthenticationInterface;
    static connect(address: string, runner?: ContractRunner | null): IAuthentication;
}
