import { type ContractRunner } from "ethers";
import type { ISignaturesValidator, ISignaturesValidatorInterface } from "../../../../../../@balancer-labs/v2-interfaces/contracts/solidity-utils/helpers/ISignaturesValidator";
export declare class ISignaturesValidator__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "getDomainSeparator";
        readonly outputs: readonly [{
            readonly internalType: "bytes32";
            readonly name: "";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "user";
            readonly type: "address";
        }];
        readonly name: "getNextNonce";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): ISignaturesValidatorInterface;
    static connect(address: string, runner?: ContractRunner | null): ISignaturesValidator;
}
