import { type ContractRunner } from "ethers";
import type { IPOLErrors, IPOLErrorsInterface } from "../../../contracts/Bera/IPOLErrors";
export declare class IPOLErrors__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "AmountLessThanMinIncentiveRate";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "CannotRecoverIncentiveToken";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "CannotRecoverRewardToken";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "CannotRecoverStakingToken";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "DepositNotMultipleOfGwei";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "DepositValueTooHigh";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "DonateAmountLessThanPayoutAmount";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "IncentiveRateTooHigh";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "IndexOutOfRange";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InsolventReward";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InsufficientDelegateStake";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InsufficientDeposit";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InsufficientSelfStake";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InsufficientStake";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidActivateBoostDelay";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidBaseRate";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidBoostMultiplier";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidCredentialsLength";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidDropBoostDelay";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidMaxIncentiveTokensCount";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidMinBoostedRewardRate";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidProof";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidPubKeyLength";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidRewardAllocationWeights";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidRewardConvexity";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidRewardRate";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidSignatureLength";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidStartBlock";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvalidateDefaultRewardAllocation";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "InvariantCheckFailed";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "MaxNumWeightsPerRewardAllocationIsZero";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "MinIncentiveRateIsZero";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotAContract";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotApprovedSender";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotBGT";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotBlockRewardController";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotDelegate";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotDistributor";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotEnoughBalance";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotEnoughBoostedBalance";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotEnoughTime";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotFactoryVault";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotFeeCollector";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotIncentiveManager";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotNewOperator";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotOperator";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "NotWhitelistedVault";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "OperatorAlreadySet";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "PayoutAmountIsZero";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "RewardAllocationAlreadyQueued";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "RewardAllocationBlockDelayTooLarge";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "RewardCycleNotEnded";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "RewardsDurationIsZero";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "StakeAmountIsZero";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TimestampAlreadyProcessed";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TokenAlreadyWhitelistedOrLimitReached";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TokenNotWhitelisted";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TooManyWeights";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "TotalSupplyOverflow";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "WithdrawAmountIsZero";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "ZeroAddress";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "ZeroOperatorOnFirstDeposit";
        readonly type: "error";
    }, {
        readonly inputs: readonly [];
        readonly name: "ZeroPercentageWeight";
        readonly type: "error";
    }];
    static createInterface(): IPOLErrorsInterface;
    static connect(address: string, runner?: ContractRunner | null): IPOLErrors;
}
