import { type ContractRunner } from "ethers";
import type { IPendlePtOracle, IPendlePtOracleInterface } from "../../../contracts/Interfaces/IPendlePtOracle";
export declare class IPendlePtOracle__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "market";
            readonly type: "address";
        }, {
            readonly internalType: "uint32";
            readonly name: "duration";
            readonly type: "uint32";
        }];
        readonly name: "getOracleState";
        readonly outputs: readonly [{
            readonly internalType: "bool";
            readonly name: "increaseCardinalityRequired";
            readonly type: "bool";
        }, {
            readonly internalType: "uint16";
            readonly name: "cardinalityRequired";
            readonly type: "uint16";
        }, {
            readonly internalType: "bool";
            readonly name: "oldestObservationSatisfied";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "market";
            readonly type: "address";
        }, {
            readonly internalType: "uint32";
            readonly name: "duration";
            readonly type: "uint32";
        }];
        readonly name: "getPtToSyRate";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IPendlePtOracleInterface;
    static connect(address: string, runner?: ContractRunner | null): IPendlePtOracle;
}
