import { type ContractRunner } from "ethers";
import type { IStdReference, IStdReferenceInterface } from "../../../contracts/Interfaces/IStdReference";
export declare class IStdReference__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "string";
            readonly name: "_base";
            readonly type: "string";
        }, {
            readonly internalType: "string";
            readonly name: "_quote";
            readonly type: "string";
        }];
        readonly name: "getReferenceData";
        readonly outputs: readonly [{
            readonly components: readonly [{
                readonly internalType: "uint256";
                readonly name: "rate";
                readonly type: "uint256";
            }, {
                readonly internalType: "uint256";
                readonly name: "lastUpdatedBase";
                readonly type: "uint256";
            }, {
                readonly internalType: "uint256";
                readonly name: "lastUpdatedQuote";
                readonly type: "uint256";
            }];
            readonly internalType: "struct IStdReference.ReferenceData";
            readonly name: "";
            readonly type: "tuple";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "string[]";
            readonly name: "_bases";
            readonly type: "string[]";
        }, {
            readonly internalType: "string[]";
            readonly name: "_quotes";
            readonly type: "string[]";
        }];
        readonly name: "getReferenceDataBulk";
        readonly outputs: readonly [{
            readonly components: readonly [{
                readonly internalType: "uint256";
                readonly name: "rate";
                readonly type: "uint256";
            }, {
                readonly internalType: "uint256";
                readonly name: "lastUpdatedBase";
                readonly type: "uint256";
            }, {
                readonly internalType: "uint256";
                readonly name: "lastUpdatedQuote";
                readonly type: "uint256";
            }];
            readonly internalType: "struct IStdReference.ReferenceData[]";
            readonly name: "";
            readonly type: "tuple[]";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IStdReferenceInterface;
    static connect(address: string, runner?: ContractRunner | null): IStdReference;
}
