import { type ContractRunner } from "ethers";
import type { IUnitroller, IUnitrollerInterface } from "../../../contracts/Interfaces/IUnitroller";
export declare class IUnitroller__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "_acceptImplementation";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "admin";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IUnitrollerInterface;
    static connect(address: string, runner?: ContractRunner | null): IUnitroller;
}
