import { type ContractRunner } from "ethers";
import type { IWitnetFeed, IWitnetFeedInterface } from "../../../contracts/Interfaces/IWitnetFeed";
export declare class IWitnetFeed__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "lastPrice";
        readonly outputs: readonly [{
            readonly internalType: "int256";
            readonly name: "";
            readonly type: "int256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IWitnetFeedInterface;
    static connect(address: string, runner?: ContractRunner | null): IWitnetFeed;
}
