import { type ContractRunner } from "ethers";
import type { IKodiakIsland, IKodiakIslandInterface } from "../../../../contracts/Interfaces/Kodiak.sol/IKodiakIsland";
export declare class IKodiakIsland__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "decimals";
        readonly outputs: readonly [{
            readonly internalType: "uint8";
            readonly name: "";
            readonly type: "uint8";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "getUnderlyingBalances";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "amount0Current";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "amount1Current";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "token0";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "token1";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "totalSupply";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IKodiakIslandInterface;
    static connect(address: string, runner?: ContractRunner | null): IKodiakIsland;
}
