import { type ContractRunner } from "ethers";
import type { ILayerBank, ILayerBankInterface } from "../../../../contracts/Oracle/LayerBankAdapter.sol/ILayerBank";
export declare class ILayerBank__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "token";
            readonly type: "address";
        }];
        readonly name: "priceOf";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): ILayerBankInterface;
    static connect(address: string, runner?: ContractRunner | null): ILayerBank;
}
