import { type ContractRunner } from "ethers";
import type { IEarn, IEarnInterface } from "../../../../contracts/Oracle/stCoreAdapter.sol/IEarn";
export declare class IEarn__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "getCurrentExchangeRate";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IEarnInterface;
    static connect(address: string, runner?: ContractRunner | null): IEarn;
}
