import { type ContractRunner } from "ethers";
import type { IStUSD, IStUSDInterface } from "../../../../contracts/Oracle/stUSDAdapter.sol/IStUSD";
export declare class IStUSD__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "shares";
            readonly type: "uint256";
        }];
        readonly name: "previewRedeem";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IStUSDInterface;
    static connect(address: string, runner?: ContractRunner | null): IStUSD;
}
