import { type ContractRunner } from "ethers";
import type { GasBoundCaller, GasBoundCallerInterface } from "../../../contracts/Test.sol/GasBoundCaller";
export declare class GasBoundCaller__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "_to";
            readonly type: "address";
        }, {
            readonly internalType: "uint256";
            readonly name: "_maxTotalGas";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "_data";
            readonly type: "bytes";
        }];
        readonly name: "gasBoundCall";
        readonly outputs: readonly [{
            readonly internalType: "bytes";
            readonly name: "";
            readonly type: "bytes";
        }];
        readonly stateMutability: "nonpayable";
        readonly type: "function";
    }];
    static createInterface(): GasBoundCallerInterface;
    static connect(address: string, runner?: ContractRunner | null): GasBoundCaller;
}
