import { type ContractRunner } from "ethers";
import type { ICToken, ICTokenInterface } from "../../../contracts/Timelock.sol/ICToken";
export declare class ICToken__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly name: "isCEther";
        readonly outputs: readonly [{
            readonly internalType: "bool";
            readonly name: "";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "underlying";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): ICTokenInterface;
    static connect(address: string, runner?: ContractRunner | null): ICToken;
}
